<?php
class tx_odsosm_div {
	function getMapCore($backpath=''){
		$path=$backpath.t3lib_extMgm::siteRelPath('ods_osm').'res/';
		return('
			<script src="'.($this->config['path_openlayers'] ? $this->config['path_openlayers'] : ($this->config['local_js'] ? $path.'openlayers' : 'http://www.openlayers.org/api')).'/OpenLayers.js" type="text/javascript"></script>
			<script src="'.$path.'main.js" type="text/javascript"></script>
		');
	}

	function getMapMain(){
		return("
			".$this->config['id']." = new OpenLayers.Map('".$this->config['id']."', {
				controls:[".
					($this->config['mouse_navigation'] ? "new OpenLayers.Control.Navigation()," : "").
					($this->config['show_pan_zoom'] ? "new OpenLayers.Control.PanZoom".($this->config['show_pan_zoom']==1 ? 'Bar' : '')."()," : "").
					($this->config['show_layerswitcher'] ? "new OpenLayers.Control.LayerSwitcher({".($this->config['layerswitcher.']['div'] ? "'div':OpenLayers.Util.getElement('".$this->config['id']."_layerswitcher')" : "").$this->config['layerswitcher.']['options']."})," : "").
					"new OpenLayers.Control.Attribution()],
				maxExtent: new OpenLayers.Bounds(-20037508.34,-20037508.34,20037508.34,20037508.34),
				maxResolution: 156543.0399,
				numZoomLevels: 19,
				units: 'm',
				projection: new OpenLayers.Projection('EPSG:900913'),
				displayProjection: new OpenLayers.Projection('EPSG:4326'),
			} );
		");
	}

	function getMainLayers($layers,$backpath=''){
		// Main layer
		$jsMainLayer='';
		foreach($layers as $layer){
			if($layer['javascript_include']){
				$javascript_include=strtr($layer['javascript_include'],array(
					'###STATIC_SCRIPT###'=>$this->config['static_script'],
				));
				$parts=parse_url($javascript_include);
				$filename=basename($parts['path']);
				if($parts['scheme']){
					$script=($this->config['local_js'] && file_exists($backpath.'typo3conf/ext/ods_osm/res/layers/'.$filename)) ? $GLOBALS['TSFE']->absRefPrefix.$backpath.'typo3conf/ext/ods_osm/res/layers/'.$filename : $javascript_include;
				}else{
					$script=$GLOBALS['TSFE']->absRefPrefix.$backpath.$javascript_include;
				}
				// Include javascript only once if different layers use the same javascript
				$GLOBALS['TSFE']->additionalHeaderData[$this->prefixId.'_'.$filename]='<script src="'.$script.'" type="text/javascript"></script>';
			}

			$jsMainLayer.=$this->config['id'].".addLayer(".strtr($layer['javascript'],array(
				'###TITLE###'=>$layer['title'],
				'###VISIBLE###'=>"'visibility':".($this->config['show_layerswitcher'] ? 'false' : 'true'),
			)).");\n";
		}
		return $jsMainLayer;
	}

	function updateAddress(&$address){
		if($address['zip']) $query['postalcode']=$address['zip'];
		if($address['city']) $query['placename']=$address['city'];
		if(strlen($address['country'])==2) $query['country']=$address['country'];

		if($query){
			$query['maxRows']=1;

			$ch=curl_init();
			curl_setopt_array($ch,array(
				CURLOPT_URL=>'http://ws.geonames.org/postalCodeSearch?'.http_build_query($query),
				CURLOPT_HEADER=>false,
				CURLOPT_RETURNTRANSFER=>true,
			));
			$xml=curl_exec($ch);
			curl_close($ch);

			if($xml){
				$array=t3lib_div::xml2array($xml);

				if(is_array($array['code'])){
					$address['lat']=$array['code']['lat'];
					$address['lon']=$array['code']['lng'];
					if(empty($address['country'])) $address['country']=$array['code']['countryCode'];
				}
			}
		}
	}
}
?>