#
# Table structure for table 'fe_users'
#
CREATE TABLE fe_users (
	tx_odsosm_lat decimal(8,6) DEFAULT '-1.000000' NOT NULL,
	tx_odsosm_lon decimal(9,6) DEFAULT '0.000000' NOT NULL
);

#
# Table structure for table 'tt_address'
#
CREATE TABLE tt_address (
	tx_odsosm_lat decimal(8,6) DEFAULT '-1.000000' NOT NULL,
	tx_odsosm_lon decimal(9,6) DEFAULT '0.000000' NOT NULL
);

#
# Table structure for table 'fe_groups'
#
CREATE TABLE fe_groups (
	tx_odsosm_marker int(11) DEFAULT '0' NOT NULL
);

#
# Table structure for table 'tt_address_group'
#
CREATE TABLE tt_address_group (
	tx_odsosm_marker int(11) DEFAULT '0' NOT NULL
);

#
# Table structure for table 'tx_odsosm_layer'
#
CREATE TABLE tx_odsosm_layer (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext NOT NULL,
	overlay tinyint(4) DEFAULT '0' NOT NULL,
	javascript tinytext NOT NULL,
	javascript_include tinytext NOT NULL,
	static_url tinytext NOT NULL,
	homepage tinytext NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);

#
# Table structure for table 'tx_odsosm_marker'
#
CREATE TABLE tx_odsosm_marker (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext,
	icon text,
	size_x smallint(10) unsigned DEFAULT '0' NOT NULL,
	size_y smallint(10) unsigned DEFAULT '0' NOT NULL,
	offset_x smallint(11) DEFAULT '0' NOT NULL,
	offset_y smallint(11) DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);

#
# Table structure for table 'tx_odsosm_track'
#
CREATE TABLE tx_odsosm_track (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext,
	color varchar(10) DEFAULT '#37b7ff' NOT NULL,
	width tinyint(3) unsigned DEFAULT '5' NOT NULL,
	file text,
	min_lat decimal(8,6) DEFAULT '0.000000' NOT NULL,
	min_lon decimal(9,6) DEFAULT '0.000000' NOT NULL,
	max_lat decimal(8,6) DEFAULT '0.000000' NOT NULL,
	max_lon decimal(9,6) DEFAULT '0.000000' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);
